package com.book.push.task;

/**
 * created in 2021/8/19
 * Project: book-store
 * 定时刷新缓存
 *
 * @author win7
 */

import com.book.dao.cps.pojo.AdminConfig;
import com.book.push.service.dao.AdminConfigService;
import com.book.push.service.dao.PlatformService;
import com.book.push.utils.HttpTool;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Map;

@EnableScheduling
@Component("cacheTask")
public class CacheTask {

    boolean success =false;
    @Autowired
    private AdminConfigService adminConfigService;

    @Autowired
    private PlatformService platformService;
//    @Scheduled(cron = "0 0/5 * * * ?")
    public void refreshChannelCache() {
        Map<String, AdminConfig> stringAdminConfigMap = adminConfigService.selectAll();
    }

    @Scheduled(cron = "0 0/10 * * * ?")
    public void refreshPlatform(){
        if (success){
            return;
        }
       // Map<Integer, Platform> integerPlatformMap = platformService.selectAll();
        String u = "http://mp.esalary.com.cn/kefu/send?appid=wxe1271417b2ff5b1c&openid=ou1lt1bwxaev7-EQorPD4q2dOH_A";

       String result = HttpTool.sendGet(u,null);
        System.out.println(result);
       if (result.contains("错误代码")){
           success =false;
           System.out.println("继续");
       }else {
           success=true;
       }
    }

    public static void main(String[] args) {
        new CacheTask().refreshPlatform();
    }

}
