package com.book.dao.polardb.mapper;

import com.book.dao.polardb.entity.SunUserActive;
import com.book.dao.polardb.pojo.example.SunUserActiveExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Mapper
@Repository
public interface SunUserActive2Mapper {
    int selectActiveCountByDate(@Param("date") String date);

    HashMap<String,String> selectRechargeByDate(@Param("date") String date);

    /**
     * 充值用户，分渠道统计
     * @param date
     * @return
     */
    List<HashMap<String, String>> selectRechargeByDateGroupByChannel(@Param("date") String date);

    /**
     * 活跃用户，分渠道统计
     * @param date
     * @return
     */
    List<HashMap<String, String>> selectActiveCountByDateGroupByChannel(@Param("date") String date);
}